> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Search OCSF events



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json post /v1/ocsf/advanced
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/ocsf/advanced:
    post:
      tags:
        - OCSF
      summary: Search OCSF events
      operationId: OCSFController_searchOCSFAdvanced
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OCSFSearchAdvancedDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OCSFSearchResult'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
      security:
        - bearer: []
        - bearer: []
components:
  schemas:
    OCSFSearchAdvancedDto:
      type: object
      properties:
        query:
          type: string
          description: Query to search
        queryId:
          type: string
          description: ID of an existing query to reuse
        startTime:
          type: string
          description: Start time of the query
        endTime:
          type: string
          description: End time of the query
    OCSFSearchResult:
      type: object
      properties:
        data:
          description: Array of OCSF search result objects
          type: array
          items:
            type: object
        totalCount:
          type: number
          description: >-
            Total number of results matching the search query, or null if the
            count query timed out
          nullable: true
        queryId:
          type: string
          description: Unique identifier for this query execution
        rowsRead:
          type: number
          description: Number of rows read during query execution
        bytesRead:
          type: number
          description: Number of bytes read during query execution
      required:
        - data
        - totalCount
        - queryId
        - rowsRead
        - bytesRead
    HttpError:
      type: object
      properties:
        message:
          type: string
        statusCode:
          type: number
      required:
        - message
        - statusCode
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````